## List ResourceGroup items

### cURL

```
curl --request POST \
  --url https://api.m3ter.com/organizations/{orgId}/resourcegroups/{type}/{resourceGroupId}/contents \
  --header 'Authorization: Bearer <token>'
```

### Python

```
import requests

url = "https://api.m3ter.com/organizations/{orgId}/resourcegroups/{type}/{resourceGroupId}/contents"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.m3ter.com/organizations/{orgId}/resourcegroups/{type}/{resourceGroupId}/contents', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```


```

### Response Codes

- 200
- 4XX
- 5XX

### Example Response

```
{
  "data": [\
    {\
      "id": "<string>",\
      "version": 123,\
      "targetId": "<string>",\
      "dtCreated": "2023-11-07T05:31:56Z",\
      "dtLastModified": "2023-11-07T05:31:56Z",\
      "createdBy": "<string>",\
      "lastModifiedBy": "<string>"\
    }\
  ],\
  "nextToken": "<string>"
}
```

```
{
  "message": "<string>"
}
```

```
{
  "message": "<string>"
}
```

### Authorizations

**Authorization**
- Type: string
- Location: header
- Required: required

m3ter supports machine to machine authentication using the `clientCredentials` OAuth2 flow. The `authorizationCode` flow controls access for human users via the m3ter Console application.

### Path Parameters

- **orgId**: string, required, UUID of the organization
- **type**: string, required, The type of resource
- **resourceGroupId**: string, required, UUID of the ResourceGroup

### Query Parameters

- **pageSize**: integer<int32>, Number of ResourceGroupItems to retrieve per page, Required range: `1 <= x <= 100`
- **nextToken**: string, nextToken for multi-page retrievals

### Response
- 200 application/json, Return a list of ResourceGroupItems

- **data**: object[]
- **nextToken**: string
